# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ck-doge-types"
version = "0.3.2"
publish = true
description = "General purpose rust library for using and interoperating with Dogecoin. Renamed to `dogecoin`"
readme = "README.md"
keywords = [
    "defi",
    "dogecoin",
    "icp",
    "dapp",
    "web3",
]
categories = [
    "blockchain",
    "web3",
]
license = "MIT OR Apache-2.0"

[lib]

[dependencies.async-trait]
version = "0.1"

[dependencies.base64]
version = "0.21"

[dependencies.bitcoin]
version = "0.32"
features = [
    "std",
    "secp-lowmemory",
]
default-features = false

[dependencies.bitcoin-io]
version = "0.1"

[dependencies.bytes]
version = "1.6"

[dependencies.candid]
version = "0.10"

[dependencies.ciborium]
version = "0.2"

[dependencies.hex]
version = "0.2"
features = ["alloc"]
default-features = false
package = "hex-conservative"

[dependencies.ic-cdk]
version = "0.13"

[dependencies.serde]
version = "1"

[dependencies.serde_bytes]
version = "0.11"

[dependencies.serde_json]
version = "1"

[dependencies.sha3]
version = "0.10"

[dev-dependencies.dotenvy]
version = "0.15"

[dev-dependencies.reqwest]
version = "0.12"
features = [
    "rustls-tls",
    "rustls-tls-webpki-roots",
    "json",
    "gzip",
    "trust-dns",
]
default-features = false

[dev-dependencies.tokio]
version = "1"
features = ["full"]

[features]
default = []
serde = []
